# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ExperimentVersionIdExternalmodelsBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'onnx_file': 'str',
        'yaml_file': 'str'
    }

    attribute_map = {
        'name': 'name',
        'onnx_file': 'onnx_file',
        'yaml_file': 'yaml_file'
    }

    def __init__(self, name=None, onnx_file=None, yaml_file=None):  # noqa: E501
        """ExperimentVersionIdExternalmodelsBody - a model defined in Swagger"""  # noqa: E501
        self._name = None
        self._onnx_file = None
        self._yaml_file = None
        self.discriminator = None
        if name is not None:
            self.name = name
        if onnx_file is not None:
            self.onnx_file = onnx_file
        if yaml_file is not None:
            self.yaml_file = yaml_file

    @property
    def name(self):
        """Gets the name of this ExperimentVersionIdExternalmodelsBody.  # noqa: E501


        :return: The name of this ExperimentVersionIdExternalmodelsBody.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this ExperimentVersionIdExternalmodelsBody.


        :param name: The name of this ExperimentVersionIdExternalmodelsBody.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def onnx_file(self):
        """Gets the onnx_file of this ExperimentVersionIdExternalmodelsBody.  # noqa: E501


        :return: The onnx_file of this ExperimentVersionIdExternalmodelsBody.  # noqa: E501
        :rtype: str
        """
        return self._onnx_file

    @onnx_file.setter
    def onnx_file(self, onnx_file):
        """Sets the onnx_file of this ExperimentVersionIdExternalmodelsBody.


        :param onnx_file: The onnx_file of this ExperimentVersionIdExternalmodelsBody.  # noqa: E501
        :type: str
        """

        self._onnx_file = onnx_file

    @property
    def yaml_file(self):
        """Gets the yaml_file of this ExperimentVersionIdExternalmodelsBody.  # noqa: E501


        :return: The yaml_file of this ExperimentVersionIdExternalmodelsBody.  # noqa: E501
        :rtype: str
        """
        return self._yaml_file

    @yaml_file.setter
    def yaml_file(self, yaml_file):
        """Sets the yaml_file of this ExperimentVersionIdExternalmodelsBody.


        :param yaml_file: The yaml_file of this ExperimentVersionIdExternalmodelsBody.  # noqa: E501
        :type: str
        """

        self._yaml_file = yaml_file

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ExperimentVersionIdExternalmodelsBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ExperimentVersionIdExternalmodelsBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
